Create an inline comment
curl --request POST \
--url https://connie.ai/api/pages/{id}/inline-comments \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"content": "<string>",
"quotedText": "<string>",
"from": 123,
"to": 123,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"mentions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
'import requests
url = "https://connie.ai/api/pages/{id}/inline-comments"
payload = {
"content": "<string>",
"quotedText": "<string>",
"from": 123,
"to": 123,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"mentions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
quotedText: '<string>',
from: 123,
to: 123,
parentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attachments: [{name: '<string>', type: '<string>', url: '<string>'}],
mentions: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}]
})
};
fetch('https://connie.ai/api/pages/{id}/inline-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"quoted_text": "<string>",
"text_range_from": 123,
"text_range_to": 123,
"attachments": [
{}
],
"mentions": [
{}
],
"reactions": [
{
"emoji": "<string>",
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"resolved": true,
"resolved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Page Comments
Create an inline comment
Anchors a new comment to a text range on the page. Either content (max 2000 chars) or at least one attachment is required. Mentioned users in the workspace receive a mention notification.
POST
/
pages
/
{id}
/
inline-comments
Create an inline comment
Authorizations
Path Parameters
Page ID
Body
application/json
Comment body (max 2000 chars after trim)
The text the comment is anchored to (max 500 chars)
Start offset of the anchored range
End offset of the anchored range
Reply target — present on replies, omitted on thread roots
Maximum array length:
10Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Response
Comment created
Show child attributes
Show child attributes